@ECHO OFF
REM OpenGEM Installer Release 6
REM Copyright (C) 2006 Opendawn
REM http://gem.opendawn.com email: info@opendawn.com

:MAIN
CLS
ECHO OFF
ECHO               **************************************************
ECHO               *                                                *
ECHO               * Welcome to OpenGEM!                            *
ECHO               *                                                *
ECHO               * What would you like to do?                     *
ECHO               *                                                *
ECHO               *                                                *
ECHO               * 1 - Install OpenGEM to Drive C:                *
ECHO               *                                                *
ECHO               *                                                *
ECHO               *                                                *
ECHO               *                                                *
ECHO               *                                                *
ECHO               * 2 - Get help                                   *
ECHO               *                                                *
ECHO               * 3 - Exit OpenGEM and return to DOS             *
ECHO               *                                                *
ECHO               **************************************************
ECHO.
ECHO                           Please select an option...
CHOICE /C:123
IF ERRORLEVEL 3 GOTO 4
IF ERRORLEVEL 2 GOTO 3
IF ERRORLEVEL 1 GOTO 1

:1
REM You sure you want to install to Drive C:?
ECHO OFF
CLS
ECHO OFF
ECHO   ****************************************************************************
ECHO   * OpenGEM is free software; you can redistribute it and/or modify          * 
ECHO   * it under the terms of the GNU General Public License as published by     * 
ECHO   * the Free Software Foundation; either version 2 of the License, or        * 
ECHO   * (at your option) any later version.                                      * 
ECHO   *                                                                          * 
ECHO   * OpenGEM is distributed in the hope that it will be useful,               * 
ECHO   * but WITHOUT ANY WARRANTY; without even the implied warranty of           * 
ECHO   * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            * 
ECHO   * GNU General Public License for more details.                             * 
ECHO   *                                                                          * 
ECHO   * You should have received a copy of the GNU General Public License        * 
ECHO   * along with this program; if not, write to the Free Software              * 
ECHO   * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA, 02111-1307,USA * 
ECHO   *                                                                          * 
ECHO   *   1 - Accept and install OpenGEM      2 - Decline the license and exit   * 
ECHO   *                                                                          * 
ECHO   ****************************************************************************
ECHO.
ECHO                           Please select an option...
CHOICE /C:12
IF ERRORLEVEL 2 GOTO 4
IF ERRORLEVEL 1 GOTO 5

:5
REM Installing OpenGEM to Drive C:
ECHO OFF
CLS
UNZIP -o OPENGEM6.ZIP -d C:\
CLS
ECHO OFF
ECHO               **************************************************
ECHO               *                                                *
ECHO               * OpenGEM is now installed on Drive C:           *
ECHO               *                                                *
ECHO               **************************************************
ECHO.
PAUSE
GOTO 4

:3
REM OpenGEM Installer Help
ECHO OFF
CLS
ECHO               **************************************************
ECHO               *                                                *
ECHO               * OpenGEM can install itself to Drive C on any   *
ECHO               * DOS system running FreeDOS Beta 9 or above.    *
ECHO               *                                                *
ECHO               * OpenGEM can be up to 9mb in size.  Please make *
ECHO               * sure that your computer has enough room before *
ECHO               * installing OpenGEM!                            *
ECHO               *                                                *
ECHO               * OpenGEM does not alter any system settings. It *
ECHO               * creates new files and folders for itself.      *
ECHO               *                                                *
ECHO               * OpenGEM is released under the GNU GPL, and you *
ECHO               * can find a copy of the license in the folder   *
ECHO               * GEMAPPS\HELPZONE                               *
ECHO               *                                                *
ECHO               **************************************************
ECHO.
PAUSE
GOTO MAIN

:4 
REM Exit OpenGEM Installer
ECHO OFF
CD\
CLS
CLS
ECHO OFF
ECHO               **************************************************
ECHO               *                                                *
ECHO               *        Thank you for installing OpenGEM!       *
ECHO               *                                                *
ECHO               *  To start OpenGEM just type "GEM".  To setup   *
ECHO               *  OpenGEM just type "SETUP".                    *
ECHO               *                                                *
ECHO               *  If you have any comments or questions about   *
ECHO               *  OpenGEM, please email us.                     *
ECHO               *                                                *
ECHO               *  You can contact us at info@opendawn.com       *
ECHO               *                                                *
ECHO               **************************************************
ECHO.
PAUSE